"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const dispose = async pool => {
  const {
    subAddress,
    pubAddress
  } = pool.config;
  pool.disposed = true;
  pool.handlers.clear();

  if (pool.xpubSocket) {
    pool.xpubSocket.unbindSync(pubAddress);
  }

  if (pool.xsubSocket) {
    pool.xsubSocket.unbindSync(subAddress);
  }

  pool.subSocket.disconnect(pubAddress);
  pool.pubSocket.disconnect(subAddress);
};

var _default = dispose;
exports.default = _default;
//# sourceMappingURL=dispose.js.map